summaryrefslogtreecommitdiffstats
path: root/test/integration/test-apt-get-mark-auto
diff options
context:
space:
mode:
authorDaniel Baumann <daniel.baumann@progress-linux.org>2024-08-07 13:28:08 +0000
committerDaniel Baumann <daniel.baumann@progress-linux.org>2024-08-07 13:28:08 +0000
commitcb00b98878be71258dbeb49185cf73cd8735e9ea (patch)
tree4f36d14eee2fc404a347fa4a755c1f7a17bd1a8e /test/integration/test-apt-get-mark-auto
parentReleasing progress-linux version 2.9.5-0.0~progress7.99u1. (diff)
downloadapt-cb00b98878be71258dbeb49185cf73cd8735e9ea.tar.xz
apt-cb00b98878be71258dbeb49185cf73cd8735e9ea.zip
Merging upstream version 2.9.6.
Signed-off-by: Daniel Baumann <daniel.baumann@progress-linux.org>
Diffstat (limited to 'test/integration/test-apt-get-mark-auto')
-rwxr-xr-xtest/integration/test-apt-get-mark-auto30
1 files changed, 30 insertions, 0 deletions
diff --git a/test/integration/test-apt-get-mark-auto b/test/integration/test-apt-get-mark-auto
new file mode 100755
index 0000000..844412e
--- /dev/null
+++ b/test/integration/test-apt-get-mark-auto
@@ -0,0 +1,30 @@
+#!/bin/sh
+set -e
+
+TESTDIR="$(readlink -f "$(dirname "$0")")"
+. "$TESTDIR/framework"
+setupenvironment
+configarchitecture 'amd64'
+
+insertpackage 'unstable' 'package' 'all' '3'
+
+setupaptarchive
+
+testsuccessequal "Reading package lists...
+Building dependency tree...
+The following NEW packages will be installed:
+ package
+0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
+Inst package (3 unstable [all])
+Conf package (3 unstable [all])" aptget install package --mark-auto -s
+
+# Specifically if we mark the package as automatically installed but also have auto-remove on,
+# the package should still be installed...
+
+testsuccessequal "Reading package lists...
+Building dependency tree...
+The following NEW packages will be installed:
+ package
+0 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
+Inst package (3 unstable [all])
+Conf package (3 unstable [all])" aptget install package --mark-auto --auto-remove -s